Bug 20170 - [XT3TS] date-064
[XT3TS] date-064
Status: CLOSED FIXED
Product: XPath / XQuery / XSLT
Classification: Unclassified
Component: XSLT 3.0 Test Suite
Working drafts
PC Windows 3.1
: P2 normal
: ---
Assigned To: Abel Braaksma
Mailing list for public feedback on specs from XSL and XML Query WGs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 10:59 UTC by Tim Mills
Modified: 2013-02-01 11:06 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tim Mills 2012-11-30 10:59:05 UTC
date-064.xsl uses PNn but expects the AM/PM designator to be in capitols.

It currently expects

<out>;
     <code x="00:00 = 12AM 00:05 = 12AM 01:00 = 1AM 09:30 = 9AM 12:00 = 12PM 15:15 = 3PM"></code>;
     <code x="00:00 = 12AM 00:05 = 12AM 01:00 = 1AM 09:30 = 9AM 12:00 = 12PM 15:15 = 3PM"></code>;  
     <code x="00:00 = 12Am 00:05 = 12Am 01:00 = 1Am 09:30 = 9Am 12:00 = 12Pm 15:15 = 3Pm"></code>;  
     <code x="00:00 = 12Am 00:05 = 12Am 01:00 = 1Am 09:30 = 9Am 12:00 = 12Pm 15:15 = 3Pm"></code>;  
     <code x="00:00 = 12A 00:05 = 12A 01:00 = 1A 09:30 = 9A 12:00 = 12P 15:15 = 3P"></code>;  
     <code x="00:00 = 12AM 00:05 = 12AM 01:00 = 1AM 09:30 = 9AM 12:00 = 12PM 15:15 = 3PM"></code>;  
     <code x="00:00 = 12am 00:05 = 12am 01:00 = 1am 09:30 = 9am 12:00 = 12pm 15:15 = 3pm"></code>; 
     </out>

but should expect

<out>;
     <code x="00:00 = 12Am 00:05 = 12Am 01:00 = 1Am 09:30 = 9Am 12:00 = 12Pm 15:15 = 3Pm"></code>;
     <code x="00:00 = 12Am 00:05 = 12Am 01:00 = 1Am 09:30 = 9Am 12:00 = 12Pm 15:15 = 3Pm"></code>;  
     <code x="00:00 = 12Am 00:05 = 12Am 01:00 = 1Am 09:30 = 9Am 12:00 = 12Pm 15:15 = 3Pm"></code>;  
     <code x="00:00 = 12Am 00:05 = 12Am 01:00 = 1Am 09:30 = 9Am 12:00 = 12Pm 15:15 = 3Pm"></code>;  
     <code x="00:00 = 12A 00:05 = 12A 01:00 = 1A 09:30 = 9A 12:00 = 12P 15:15 = 3P"></code>;  
     <code x="00:00 = 12AM 00:05 = 12AM 01:00 = 1AM 09:30 = 9AM 12:00 = 12PM 15:15 = 3PM"></code>;  
     <code x="00:00 = 12am 00:05 = 12am 01:00 = 1am 09:30 = 9am 12:00 = 12pm 15:15 = 3pm"></code>; 
     </out>

This is probably dependent on whether PNn returns A.M. or Am.  I doubt anyone would return A.m.
Comment 1 Michael Kay 2012-12-11 23:05:08 UTC
Changed the title of the bug to refer to the test named in the body of the bug...

Made further adjustments to the normalization of results to accept all reasonable output. (see also bug #20339)
Comment 2 Tim Mills 2012-12-13 10:29:28 UTC
Not quite fixed.

.NET does not produce A.M. - it always gives AM.  So for the first row, we now produce

     <code x="00:00 = 12A 00:05 = 12A 01:00 = 1A 09:30 = 9A 12:00 = 12P 15:15 = 3P"></code>;

not the expected

     <code x="00:00 = 12AM 00:05 = 12AM 01:00 = 1AM 09:30 = 9AM 12:00 = 12PM 15:15 = 3PM"></code>;
Comment 3 Michael Kay 2013-01-31 15:33:02 UTC
I've had another attempt at normalizing the output prior to comparison. Please check if it's now OK for you.
Comment 4 Tim Mills 2013-02-01 11:06:07 UTC
Thanks.